#!/sbin/sh
#Tweaks Migration
#Do not use without permission.
#This script will backup the tweaks settings and restore them on next boot up
echo "Launching Venom Tweaks Backup"

TweaksPropFile="/system/customize/default.prop"
SettingsDatabase="/data/data/com.android.providers.settings/databases/settings.db"

PopulateTweakSettings()
{
   echo "Populating Tweak Settings"
   tweaks=$(/system/xbin/sqlite3 $SettingsDatabase "select name,value from system where name like '$1'")

   for line in $tweaks;
   do
      TweakName=$(echo $line | cut -d'|' -f1)
      if [ -n "$line" ]; then
         echo "$line"
         TweakValue=$(echo $line | sed "s/$TweakName|//")
         echo "TweakValue: $TweakValue"
         if [ -n "$TweakValue" ]; then
            if [ "$TweakName" != "tweaks_firstboot_completed" ]; then
               echo "$TweakName=$TweakValue">>$TweaksPropFile
            else
               echo "Ignoring $TweakName"
            fi
         else
            echo "Tweak value is blank: $line"
         fi
      fi
   done
}


[ -f $TweaksPropFile ] && rm $TweaksPropFile

echo "Starting..."
if [ -f $SettingsDatabase ]; then
   PopulateTweakSettings "tweaks%"
   ExtraSettings=$(cat /sdcard/Venom/Tools/ExtraTweaks)
   for line in $ExtraSettings;
   do
      if [ -n "$line" ]; then
         PopulateTweakSettings $line
      fi
   done
else
   echo "$SettingsDatabase doesn't exist..."
fi
